%define upstream_name    Net-Nslookup
%define upstream_version 2.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Provide nslookup(1)-like capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%description
Net::Nslookup provides the capabilities of the standard UNIX command line
tool nslookup(1). Net::DNS is a wonderful and full featured module, but
quite often, all you need is `nslookup $host`. This module provides that
functionality.

Net::Nslookup exports a single function, called 'nslookup'. 'nslookup' can
be used to retrieve A, PTR, CNAME, MX, and NS records.

  my $a  = nslookup(host => "use.perl.org", type => "A");

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

# Tests depend on some external servers never changing IP. But they do.

%install
%make_install

%files
%doc COPYING META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.40.0-8pclos2017
- rebuild against updates

